# (C) 2001-2019 Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files from any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License Subscription 
# Agreement, Intel FPGA IP License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Intel and sold by 
# Intel or its authorized distributors.  Please refer to the applicable 
# agreement for further details.



# set the single bit signals crossing between outclk0 and ch0 as asynchronous signals
set_clock_groups -exclusive -group {*xcvr_hip_native|ch0} -group {*outclk0}

# Set max skew between the gray code pointers of TX_ST fifos.
set from_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_tx_st_if|tx_fifo_lo|*gx0|din_gry*]
set to_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_tx_st_if|tx_fifo_lo|*gx0|u_din_gry_sync|sync_regs_s1*]

if {[llength [query_collection -report -all $from_keep]] > 0 && [llength [query_collection -report -all $to_keep]] > 0} {
set_max_skew -from $from_keep -to $to_keep 1.75}


set from_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_tx_st_if|tx_fifo_hi|*gx0|din_gry*]
set to_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_tx_st_if|tx_fifo_hi|*gx0|u_din_gry_sync|sync_regs_s1*]

if {[llength [query_collection -report -all $from_keep]] > 0 && [llength [query_collection -report -all $to_keep]] > 0} {
set_max_skew -from $from_keep -to $to_keep 1.75}


set from_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_tx_st_if|tx_fifo_lo|*gx1|din_gry*]
set to_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_tx_st_if|tx_fifo_lo|*gx1|u_din_gry_sync|sync_regs_s1*]

if {[llength [query_collection -report -all $from_keep]] > 0 && [llength [query_collection -report -all $to_keep]] > 0} {
set_max_skew -from $from_keep -to $to_keep 1.75}


set from_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_tx_st_if|tx_fifo_hi|*gx1|din_gry*]
set to_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_tx_st_if|tx_fifo_hi|*gx1|u_din_gry_sync|sync_regs_s1*]

if {[llength [query_collection -report -all $from_keep]] > 0 && [llength [query_collection -report -all $to_keep]] > 0} {
set_max_skew -from $from_keep -to $to_keep 1.75}





# Set max skew between the gray code pointers of TX_ST fifos.
set from_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_rx_st_if|rx_fifo_lo|*gx0|din_gry*]
set to_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_rx_st_if|rx_fifo_lo|*gx0|u_din_gry_sync|sync_regs_s1*]

if {[llength [query_collection -report -all $from_keep]] > 0 && [llength [query_collection -report -all $to_keep]] > 0} {
set_max_skew -from $from_keep -to $to_keep 1.75}


set from_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_rx_st_if|rx_fifo_hi|*gx0|din_gry*]
set to_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_rx_st_if|rx_fifo_hi|*gx0|u_din_gry_sync|sync_regs_s1*]

if {[llength [query_collection -report -all $from_keep]] > 0 && [llength [query_collection -report -all $to_keep]] > 0} {
set_max_skew -from $from_keep -to $to_keep 1.75}


set from_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_rx_st_if|rx_fifo_lo|*gx1|din_gry*]
set to_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_rx_st_if|rx_fifo_lo|*gx1|u_din_gry_sync|sync_regs_s1*]

if {[llength [query_collection -report -all $from_keep]] > 0 && [llength [query_collection -report -all $to_keep]] > 0} {
set_max_skew -from $from_keep -to $to_keep 1.75}


set from_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_rx_st_if|rx_fifo_hi|*gx1|din_gry*]
set to_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_rx_st_if|rx_fifo_hi|*gx1|u_din_gry_sync|sync_regs_s1*]

if {[llength [query_collection -report -all $from_keep]] > 0 && [llength [query_collection -report -all $to_keep]] > 0} {
set_max_skew -from $from_keep -to $to_keep 1.75}






# Set max delay between the header sync bits of Error Interface.
set to_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_err_if|u_header_present_sync|sync_regs_s1*]

if {[llength [query_collection -report -all $to_keep]] > 0} {
set_max_delay -to $to_keep 3}


# Set max delay between the valid sync bits of CFG Interface.
set to_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_cfg_if|u_free_valid_sync|sync_regs_s1*]

if {[llength [query_collection -report -all $to_keep]] > 0} {
set_max_delay -to $to_keep 3}

set to_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_cfg_if|fifo_rdata*]

if {[llength [query_collection -report -all $to_keep]] > 0} {
set_max_delay -to $to_keep 4}


if {[llength [query_collection -report -all $to_keep]] > 0} {
set_max_delay -to $to_keep 3}



#False path between iopll_locked and its registered signal.
set to_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|rst_n_clk250_reg*]
set_false_path -to $to_keep

#False path between iopll_locked and its registered signal.
set to_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|rst_n_reg*]
set_false_path -to $to_keep


# Set max skew between the Credit Interface buses that cross the outclk0 and ch0 clocks.
set from_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_credit_if|u_tx_nph_cdts_sync*data_in_d0*]
set to_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_credit_if|u_tx_nph_cdts_sync*data_out*]

if {[llength [query_collection -report -all $from_keep]] > 0 && [llength [query_collection -report -all $to_keep]] > 0} {
set_max_skew -from $from_keep -to $to_keep 1.75}

set from_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_credit_if|u_tx_npd_cdts_sync*data_in_d0*]
set to_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_credit_if|u_tx_npd_cdts_sync*data_out*]

if {[llength [query_collection -report -all $from_keep]] > 0 && [llength [query_collection -report -all $to_keep]] > 0} {
set_max_skew -from $from_keep -to $to_keep 1.75}

set from_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_credit_if|u_tx_ph_cdts_sync*data_in_d0*]
set to_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_credit_if|u_tx_ph_cdts_sync*data_out*]

if {[llength [query_collection -report -all $from_keep]] > 0 && [llength [query_collection -report -all $to_keep]] > 0} {
set_max_skew -from $from_keep -to $to_keep 1.75}

set from_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_credit_if|u_tx_pd_cdts_sync*data_in_d0*]
set to_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_credit_if|u_tx_pd_cdts_sync*data_out*]

if {[llength [query_collection -report -all $from_keep]] > 0 && [llength [query_collection -report -all $to_keep]] > 0} {
set_max_skew -from $from_keep -to $to_keep 1.75}

set from_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_credit_if|u_tx_cplh_cdts_sync*data_in_d0*]
set to_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_credit_if|u_tx_cplh_cdts_sync*data_out*]

if {[llength [query_collection -report -all $from_keep]] > 0 && [llength [query_collection -report -all $to_keep]] > 0} {
set_max_skew -from $from_keep -to $to_keep 1.75}

set from_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_credit_if|u_tx_cpld_cdts_sync*data_in_d0*]
set to_keep [get_keepers -nowarn *altera_pcie_s10_gen3x16_adapter_inst|u_credit_if|u_tx_cpld_cdts_sync*data_out*]

if {[llength [query_collection -report -all $from_keep]] > 0 && [llength [query_collection -report -all $to_keep]] > 0} {
set_max_skew -from $from_keep -to $to_keep 1.75}


# SRIOV bridge sdc
set_false_path -to [get_keepers *ceb_req_sync*first_stage_reg]
set_false_path -to [get_keepers *status_update_sync*first_stage_reg]
set_false_path -to [get_keepers *update_ack_sync*first_stage_reg]
set_false_path -to [get_keepers *flr_cdc*flr_pf_done_500mhz_firstreg[*]]

set to_keep [get_keepers -nowarn *ceb_cdc*ceb_*_500mhz_reg*]
if {[llength [query_collection -report -all $to_keep]] > 0} {
  set_max_delay -to $to_keep 5ns}

set to_keep [get_keepers -nowarn *ceb_ack_sync*first_stage_reg*]
if {[llength [query_collection -report -all $to_keep]] > 0} {
  set_max_delay -to $to_keep 4ns}
  
set to_keep [get_keepers -nowarn *ceb_cdc*heldconstantin250mhz_reg[*]*]
if {[llength [query_collection -report -all $to_keep]] > 0} {
  set_max_delay -to $to_keep 3ns}

set to_keep [get_keepers -nowarn **cpl_pending_status_cdc*vf_trans_pending_status_250mhz_reg*]
if {[llength [query_collection -report -all $to_keep]] > 0} {
  set_max_delay -to $to_keep 6ns}

set to_keep [get_keepers -nowarn *cpl_pending_status_cdc*vf_trans_pending_status_vfi_250mhz_reg[*]*]
if {[llength [query_collection -report -all $to_keep]] > 0} {
  set_max_delay -to $to_keep 6ns}

set to_keep [get_keepers -nowarn *flr_set_sync*first_stage_reg*]
if {[llength [query_collection -report -all $to_keep]] > 0} {
  set_max_delay -to $to_keep 4ns}  

set to_keep [get_keepers -nowarn *flr_cdc*flr_vf_set_??_num_500mhz_reg[*]*]
if {[llength [query_collection -report -all $to_keep]] > 0} {
  set_max_delay -to $to_keep 4ns}
