source [file join [file dirname [info script]] ./../../../ip/pcie_example_design/pcie_example_design_DMA_CONTROLLER/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/pcie_example_design/pcie_example_design_MEM/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/pcie_example_design/pcie_example_design_BAR_INTERPRETER/sim/common/modelsim_files.tcl]
source [file join [file dirname [info script]] ./../../../ip/pcie_example_design/pcie_example_design_DUT/sim/common/modelsim_files.tcl]

namespace eval pcie_example_design {
  proc get_design_libraries {} {
    set libraries [dict create]
    set libraries [dict merge $libraries [pcie_example_design_DMA_CONTROLLER::get_design_libraries]]
    set libraries [dict merge $libraries [pcie_example_design_MEM::get_design_libraries]]
    set libraries [dict merge $libraries [pcie_example_design_BAR_INTERPRETER::get_design_libraries]]
    set libraries [dict merge $libraries [pcie_example_design_DUT::get_design_libraries]]
    dict set libraries altera_merlin_master_translator_191   1
    dict set libraries altera_merlin_slave_translator_191    1
    dict set libraries altera_merlin_master_agent_191        1
    dict set libraries altera_merlin_slave_agent_191         1
    dict set libraries altera_avalon_sc_fifo_191             1
    dict set libraries altera_merlin_router_191              1
    dict set libraries altera_merlin_demultiplexer_191       1
    dict set libraries altera_merlin_multiplexer_191         1
    dict set libraries altera_merlin_waitrequest_adapter_191 1
    dict set libraries altera_mm_interconnect_191            1
    dict set libraries altera_merlin_traffic_limiter_191     1
    dict set libraries alt_hiconnect_sc_fifo_191             1
    dict set libraries altera_merlin_burst_adapter_191       1
    dict set libraries altera_avalon_st_pipeline_stage_191   1
    dict set libraries altera_reset_controller_191           1
    dict set libraries pcie_example_design                   1
    return $libraries
  }
  
  proc get_memory_files {QSYS_SIMDIR} {
    set memory_files [list]
    set memory_files [concat $memory_files [pcie_example_design_DMA_CONTROLLER::get_memory_files "$QSYS_SIMDIR/../../ip/pcie_example_design/pcie_example_design_DMA_CONTROLLER/sim/"]]
    set memory_files [concat $memory_files [pcie_example_design_MEM::get_memory_files "$QSYS_SIMDIR/../../ip/pcie_example_design/pcie_example_design_MEM/sim/"]]
    set memory_files [concat $memory_files [pcie_example_design_BAR_INTERPRETER::get_memory_files "$QSYS_SIMDIR/../../ip/pcie_example_design/pcie_example_design_BAR_INTERPRETER/sim/"]]
    set memory_files [concat $memory_files [pcie_example_design_DUT::get_memory_files "$QSYS_SIMDIR/../../ip/pcie_example_design/pcie_example_design_DUT/sim/"]]
    return $memory_files
  }
  
  proc get_common_design_files {USER_DEFINED_COMPILE_OPTIONS USER_DEFINED_VERILOG_COMPILE_OPTIONS USER_DEFINED_VHDL_COMPILE_OPTIONS QSYS_SIMDIR} {
    set design_files [dict create]
    set design_files [dict merge $design_files [pcie_example_design_DMA_CONTROLLER::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/pcie_example_design/pcie_example_design_DMA_CONTROLLER/sim/"]]
    set design_files [dict merge $design_files [pcie_example_design_MEM::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/pcie_example_design/pcie_example_design_MEM/sim/"]]
    set design_files [dict merge $design_files [pcie_example_design_BAR_INTERPRETER::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/pcie_example_design/pcie_example_design_BAR_INTERPRETER/sim/"]]
    set design_files [dict merge $design_files [pcie_example_design_DUT::get_common_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/pcie_example_design/pcie_example_design_DUT/sim/"]]
    return $design_files
  }
  
  proc get_design_files {USER_DEFINED_COMPILE_OPTIONS USER_DEFINED_VERILOG_COMPILE_OPTIONS USER_DEFINED_VHDL_COMPILE_OPTIONS QSYS_SIMDIR} {
    set design_files [list]
    set design_files [concat $design_files [pcie_example_design_DMA_CONTROLLER::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/pcie_example_design/pcie_example_design_DMA_CONTROLLER/sim/"]]
    set design_files [concat $design_files [pcie_example_design_MEM::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/pcie_example_design/pcie_example_design_MEM/sim/"]]
    set design_files [concat $design_files [pcie_example_design_BAR_INTERPRETER::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/pcie_example_design/pcie_example_design_BAR_INTERPRETER/sim/"]]
    set design_files [concat $design_files [pcie_example_design_DUT::get_design_files $USER_DEFINED_COMPILE_OPTIONS $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_VHDL_COMPILE_OPTIONS "$QSYS_SIMDIR/../../ip/pcie_example_design/pcie_example_design_DUT/sim/"]]
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_master_translator_191/sim/pcie_example_design_altera_merlin_master_translator_191_ppvxbny.sv"]\"  -work altera_merlin_master_translator_191"
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_slave_translator_191/sim/pcie_example_design_altera_merlin_slave_translator_191_x56fcki.sv"]\"  -work altera_merlin_slave_translator_191"   
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_master_agent_191/sim/pcie_example_design_altera_merlin_master_agent_191_mpbm6tq.sv"]\"  -work altera_merlin_master_agent_191"               
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_slave_agent_191/sim/pcie_example_design_altera_merlin_slave_agent_191_ncfkfri.sv"]\"  -work altera_merlin_slave_agent_191"                  
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_slave_agent_191/sim/altera_merlin_burst_uncompressor.sv"]\"  -work altera_merlin_slave_agent_191"                                           
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_avalon_sc_fifo_191/sim/pcie_example_design_altera_avalon_sc_fifo_191_e5eqkcq.v"]\"  -work altera_avalon_sc_fifo_191"                                   
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_191/sim/pcie_example_design_altera_merlin_router_191_fcqnvhi.sv"]\"  -work altera_merlin_router_191"                                 
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_191/sim/pcie_example_design_altera_merlin_router_191_opzhxai.sv"]\"  -work altera_merlin_router_191"                                 
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_demultiplexer_191/sim/pcie_example_design_altera_merlin_demultiplexer_191_dbnqrrq.sv"]\"  -work altera_merlin_demultiplexer_191"            
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_191/sim/pcie_example_design_altera_merlin_multiplexer_191_sae47hi.sv"]\"  -work altera_merlin_multiplexer_191"                  
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_191/sim/altera_merlin_arbitrator.sv"]\"  -work altera_merlin_multiplexer_191"                                                   
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_191/sim/pcie_example_design_altera_merlin_multiplexer_191_727xiiy.sv"]\"  -work altera_merlin_multiplexer_191"                  
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_191/sim/altera_merlin_arbitrator.sv"]\"  -work altera_merlin_multiplexer_191"                                                   
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_waitrequest_adapter_191/sim/altera_merlin_waitrequest_adapter.v"]\"  -work altera_merlin_waitrequest_adapter_191"                               
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_waitrequest_adapter_191/sim/altera_avalon_sc_fifo.v"]\"  -work altera_merlin_waitrequest_adapter_191"                                           
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_mm_interconnect_191/sim/pcie_example_design_altera_mm_interconnect_191_7zyw4wq.v"]\"  -work altera_mm_interconnect_191"                                
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_master_translator_191/sim/pcie_example_design_altera_merlin_master_translator_191_g7h47bq.sv"]\"  -work altera_merlin_master_translator_191"
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_master_translator_191/sim/pcie_example_design_altera_merlin_master_translator_191_q6cbhvi.sv"]\"  -work altera_merlin_master_translator_191"
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_master_translator_191/sim/pcie_example_design_altera_merlin_master_translator_191_k2xt5fq.sv"]\"  -work altera_merlin_master_translator_191"
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_191/sim/pcie_example_design_altera_merlin_router_191_lxd332i.sv"]\"  -work altera_merlin_router_191"                                 
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_191/sim/pcie_example_design_altera_merlin_router_191_zp3qtuq.sv"]\"  -work altera_merlin_router_191"                                 
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_191/sim/pcie_example_design_altera_merlin_router_191_dkf2dbq.sv"]\"  -work altera_merlin_router_191"                                 
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_191/sim/pcie_example_design_altera_merlin_router_191_aomlhiq.sv"]\"  -work altera_merlin_router_191"                                 
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_router_191/sim/pcie_example_design_altera_merlin_router_191_n2j42ky.sv"]\"  -work altera_merlin_router_191"                                 
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_traffic_limiter_191/sim/pcie_example_design_altera_merlin_traffic_limiter_191_r624soa.v"]\"  -work altera_merlin_traffic_limiter_191"           
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_hiconnect_sc_fifo_191/sim/pcie_example_design_alt_hiconnect_sc_fifo_191_7qtmpqq.sv"]\"  -work alt_hiconnect_sc_fifo_191"                              
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_hiconnect_sc_fifo_191/sim/alt_st_infer_scfifo.sv"]\"  -work alt_hiconnect_sc_fifo_191"                                                                
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_hiconnect_sc_fifo_191/sim/alt_st_mlab_scfifo.sv"]\"  -work alt_hiconnect_sc_fifo_191"                                                                 
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_hiconnect_sc_fifo_191/sim/alt_st_fifo_empty.sv"]\"  -work alt_hiconnect_sc_fifo_191"                                                                  
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_hiconnect_sc_fifo_191/sim/alt_st_mlab_scfifo_a6.sv"]\"  -work alt_hiconnect_sc_fifo_191"                                                              
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_hiconnect_sc_fifo_191/sim/alt_st_mlab_scfifo_a7.sv"]\"  -work alt_hiconnect_sc_fifo_191"                                                              
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../alt_hiconnect_sc_fifo_191/sim/alt_st_reg_scfifo.sv"]\"  -work alt_hiconnect_sc_fifo_191"                                                                  
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_traffic_limiter_191/sim/pcie_example_design_altera_merlin_traffic_limiter_191_awk3gfa.v"]\"  -work altera_merlin_traffic_limiter_191"           
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_traffic_limiter_191/sim/altera_merlin_reorder_memory.sv"]\"  -work altera_merlin_traffic_limiter_191"                                       
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_traffic_limiter_191/sim/altera_avalon_st_pipeline_base.v"]\"  -work altera_merlin_traffic_limiter_191"                                      
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_traffic_limiter_191/sim/pcie_example_design_altera_merlin_traffic_limiter_191_kcba44q.sv"]\"  -work altera_merlin_traffic_limiter_191"      
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_burst_adapter_191/sim/pcie_example_design_altera_merlin_burst_adapter_191_52i6ppa.sv"]\"  -work altera_merlin_burst_adapter_191"            
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_burst_adapter_191/sim/altera_merlin_burst_adapter_uncmpr.sv"]\"  -work altera_merlin_burst_adapter_191"                                     
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_burst_adapter_191/sim/altera_merlin_burst_adapter_13_1.sv"]\"  -work altera_merlin_burst_adapter_191"                                       
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_burst_adapter_191/sim/altera_merlin_burst_adapter_new.sv"]\"  -work altera_merlin_burst_adapter_191"                                        
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_burst_adapter_191/sim/altera_incr_burst_converter.sv"]\"  -work altera_merlin_burst_adapter_191"                                            
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_burst_adapter_191/sim/altera_wrap_burst_converter.sv"]\"  -work altera_merlin_burst_adapter_191"                                            
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_burst_adapter_191/sim/altera_default_burst_converter.sv"]\"  -work altera_merlin_burst_adapter_191"                                         
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_burst_adapter_191/sim/altera_merlin_address_alignment.sv"]\"  -work altera_merlin_burst_adapter_191"                                        
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_burst_adapter_191/sim/altera_avalon_st_pipeline_stage.sv"]\"  -work altera_merlin_burst_adapter_191"                                        
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_burst_adapter_191/sim/altera_avalon_st_pipeline_base.v"]\"  -work altera_merlin_burst_adapter_191"                                          
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_demultiplexer_191/sim/pcie_example_design_altera_merlin_demultiplexer_191_mqtjhiy.sv"]\"  -work altera_merlin_demultiplexer_191"            
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_demultiplexer_191/sim/pcie_example_design_altera_merlin_demultiplexer_191_hiwftki.sv"]\"  -work altera_merlin_demultiplexer_191"            
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_demultiplexer_191/sim/pcie_example_design_altera_merlin_demultiplexer_191_annybyq.sv"]\"  -work altera_merlin_demultiplexer_191"            
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_191/sim/pcie_example_design_altera_merlin_multiplexer_191_uskxnpy.sv"]\"  -work altera_merlin_multiplexer_191"                  
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_191/sim/altera_merlin_arbitrator.sv"]\"  -work altera_merlin_multiplexer_191"                                                   
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_191/sim/pcie_example_design_altera_merlin_multiplexer_191_46vuf2q.sv"]\"  -work altera_merlin_multiplexer_191"                  
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_191/sim/altera_merlin_arbitrator.sv"]\"  -work altera_merlin_multiplexer_191"                                                   
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_191/sim/pcie_example_design_altera_merlin_multiplexer_191_iqasoga.sv"]\"  -work altera_merlin_multiplexer_191"                  
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_191/sim/altera_merlin_arbitrator.sv"]\"  -work altera_merlin_multiplexer_191"                                                   
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_191/sim/pcie_example_design_altera_merlin_multiplexer_191_ykl7hzq.sv"]\"  -work altera_merlin_multiplexer_191"                  
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_merlin_multiplexer_191/sim/altera_merlin_arbitrator.sv"]\"  -work altera_merlin_multiplexer_191"                                                   
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_avalon_st_pipeline_stage_191/sim/altera_avalon_st_pipeline_stage.sv"]\"  -work altera_avalon_st_pipeline_stage_191"                                
    lappend design_files "vlog -sv $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_avalon_st_pipeline_stage_191/sim/altera_avalon_st_pipeline_base.v"]\"  -work altera_avalon_st_pipeline_stage_191"                                  
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_mm_interconnect_191/sim/pcie_example_design_altera_mm_interconnect_191_uyw5rja.v"]\"  -work altera_mm_interconnect_191"                                
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_reset_controller_191/sim/altera_reset_controller.v"]\"  -work altera_reset_controller_191"                                                             
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/../altera_reset_controller_191/sim/altera_reset_synchronizer.v"]\"  -work altera_reset_controller_191"                                                           
    lappend design_files "vlog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"[normalize_path "$QSYS_SIMDIR/pcie_example_design.v"]\"  -work pcie_example_design"                                                                                                            
    return $design_files
  }
  
  proc get_elab_options {SIMULATOR_TOOL_BITNESS} {
    set ELAB_OPTIONS ""
    append ELAB_OPTIONS [pcie_example_design_DMA_CONTROLLER::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [pcie_example_design_MEM::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [pcie_example_design_BAR_INTERPRETER::get_elab_options $SIMULATOR_TOOL_BITNESS]
    append ELAB_OPTIONS [pcie_example_design_DUT::get_elab_options $SIMULATOR_TOOL_BITNESS]
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $ELAB_OPTIONS
  }
  
  
  proc get_sim_options {SIMULATOR_TOOL_BITNESS} {
    set SIM_OPTIONS ""
    append SIM_OPTIONS [pcie_example_design_DMA_CONTROLLER::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [pcie_example_design_MEM::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [pcie_example_design_BAR_INTERPRETER::get_sim_options $SIMULATOR_TOOL_BITNESS]
    append SIM_OPTIONS [pcie_example_design_DUT::get_sim_options $SIMULATOR_TOOL_BITNESS]
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $SIM_OPTIONS
  }
  
  
  proc get_env_variables {SIMULATOR_TOOL_BITNESS} {
    set ENV_VARIABLES [dict create]
    set LD_LIBRARY_PATH [dict create]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [pcie_example_design_DMA_CONTROLLER::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [pcie_example_design_MEM::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [pcie_example_design_BAR_INTERPRETER::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    set LD_LIBRARY_PATH [dict merge $LD_LIBRARY_PATH [dict get [pcie_example_design_DUT::get_env_variables $SIMULATOR_TOOL_BITNESS] "LD_LIBRARY_PATH"]]
    dict set ENV_VARIABLES "LD_LIBRARY_PATH" $LD_LIBRARY_PATH
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $ENV_VARIABLES
  }
  
  
  proc normalize_path {FILEPATH} {
      if {[catch { package require fileutil } err]} { 
          return $FILEPATH 
      } 
      set path [fileutil::lexnormalize [file join [pwd] $FILEPATH]]  
      if {[file pathtype $FILEPATH] eq "relative"} { 
          set path [fileutil::relative [pwd] $path] 
      } 
      return $path 
  } 
}
