
namespace eval pcie_example_design_DUT {
  proc get_design_libraries {} {
    set libraries [dict create]
    dict set libraries altera_common_sv_packages           1
    dict set libraries altera_xcvr_native_s10_htile_191    1
    dict set libraries altera_xcvr_pcie_hip_native_s10_191 1
    dict set libraries avmm_bridge_512_191                 1
    dict set libraries altera_xcvr_fpll_s10_htile_191      1
    dict set libraries altera_xcvr_atx_pll_s10_htile_191   1
    dict set libraries altera_iopll_191                    1
    dict set libraries pcie_example_design_DUT             1
    return $libraries
  }
  
  proc get_memory_files {QSYS_SIMDIR} {
    set memory_files [list]
    return $memory_files
  }
  
  proc get_common_design_files {USER_DEFINED_COMPILE_OPTIONS USER_DEFINED_VERILOG_COMPILE_OPTIONS USER_DEFINED_VHDL_COMPILE_OPTIONS QSYS_SIMDIR} {
    set design_files [dict create]
    dict set design_files "altera_common_sv_packages::altera_xcvr_native_s10_functions_h" "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_xcvr_native_s10_functions_h.sv\"  -work altera_common_sv_packages"
    return $design_files
  }
  
  proc get_design_files {USER_DEFINED_COMPILE_OPTIONS USER_DEFINED_VERILOG_COMPILE_OPTIONS USER_DEFINED_VHDL_COMPILE_OPTIONS QSYS_SIMDIR} {
    set design_files [list]
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v\"  -work altera_xcvr_native_s10_htile_191"                                                       
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv\"  -work altera_xcvr_native_s10_htile_191"                                                      
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv\"  -work altera_xcvr_native_s10_htile_191"                                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv\"  -work altera_xcvr_native_s10_htile_191"                                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                            
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_o32nq4a.sv\"  -work altera_xcvr_native_s10_htile_191"         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_o32nq4a.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_av6oxqi.v\"  -work altera_xcvr_pcie_hip_native_s10_191"           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v\"  -work altera_xcvr_native_s10_htile_191"                                                       
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv\"  -work altera_xcvr_native_s10_htile_191"                                                      
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv\"  -work altera_xcvr_native_s10_htile_191"                                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv\"  -work altera_xcvr_native_s10_htile_191"                                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                            
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_4eoz23a.sv\"  -work altera_xcvr_native_s10_htile_191"         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_4eoz23a.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_fkzimti.v\"  -work altera_xcvr_pcie_hip_native_s10_191"           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v\"  -work altera_xcvr_native_s10_htile_191"                                                       
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv\"  -work altera_xcvr_native_s10_htile_191"                                                      
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv\"  -work altera_xcvr_native_s10_htile_191"                                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv\"  -work altera_xcvr_native_s10_htile_191"                                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                            
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_vcqkcqy.sv\"  -work altera_xcvr_native_s10_htile_191"         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_vcqkcqy.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_gon3gci.v\"  -work altera_xcvr_pcie_hip_native_s10_191"           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v\"  -work altera_xcvr_native_s10_htile_191"                                                       
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv\"  -work altera_xcvr_native_s10_htile_191"                                                      
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv\"  -work altera_xcvr_native_s10_htile_191"                                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv\"  -work altera_xcvr_native_s10_htile_191"                                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                            
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_khic43a.sv\"  -work altera_xcvr_native_s10_htile_191"         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_khic43a.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_xbdvdbi.v\"  -work altera_xcvr_pcie_hip_native_s10_191"           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v\"  -work altera_xcvr_native_s10_htile_191"                                                       
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv\"  -work altera_xcvr_native_s10_htile_191"                                                      
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv\"  -work altera_xcvr_native_s10_htile_191"                                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv\"  -work altera_xcvr_native_s10_htile_191"                                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                            
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_bdsbnoq.sv\"  -work altera_xcvr_native_s10_htile_191"         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_bdsbnoq.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_hhta2uy.v\"  -work altera_xcvr_pcie_hip_native_s10_191"           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v\"  -work altera_xcvr_native_s10_htile_191"                                                       
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv\"  -work altera_xcvr_native_s10_htile_191"                                                      
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv\"  -work altera_xcvr_native_s10_htile_191"                                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv\"  -work altera_xcvr_native_s10_htile_191"                                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                            
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_llsduea.sv\"  -work altera_xcvr_native_s10_htile_191"         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_llsduea.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_v2hqiha.v\"  -work altera_xcvr_pcie_hip_native_s10_191"           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v\"  -work altera_xcvr_native_s10_htile_191"                                                       
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv\"  -work altera_xcvr_native_s10_htile_191"                                                      
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv\"  -work altera_xcvr_native_s10_htile_191"                                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv\"  -work altera_xcvr_native_s10_htile_191"                                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                            
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_5dkjujy.sv\"  -work altera_xcvr_native_s10_htile_191"         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_5dkjujy.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_h6kekwy.v\"  -work altera_xcvr_pcie_hip_native_s10_191"           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v\"  -work altera_xcvr_native_s10_htile_191"                                                       
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv\"  -work altera_xcvr_native_s10_htile_191"                                                      
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv\"  -work altera_xcvr_native_s10_htile_191"                                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv\"  -work altera_xcvr_native_s10_htile_191"                                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                            
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_xhmhj4a.sv\"  -work altera_xcvr_native_s10_htile_191"         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_xhmhj4a.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_6vi33ka.v\"  -work altera_xcvr_pcie_hip_native_s10_191"           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v\"  -work altera_xcvr_native_s10_htile_191"                                                       
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv\"  -work altera_xcvr_native_s10_htile_191"                                                      
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv\"  -work altera_xcvr_native_s10_htile_191"                                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv\"  -work altera_xcvr_native_s10_htile_191"                                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                            
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_gjosw7i.sv\"  -work altera_xcvr_native_s10_htile_191"         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_gjosw7i.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_btdlcei.v\"  -work altera_xcvr_pcie_hip_native_s10_191"           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v\"  -work altera_xcvr_native_s10_htile_191"                                                       
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv\"  -work altera_xcvr_native_s10_htile_191"                                                      
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv\"  -work altera_xcvr_native_s10_htile_191"                                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv\"  -work altera_xcvr_native_s10_htile_191"                                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                            
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_gcl3ddq.sv\"  -work altera_xcvr_native_s10_htile_191"         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_gcl3ddq.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_qgwva4a.v\"  -work altera_xcvr_pcie_hip_native_s10_191"           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v\"  -work altera_xcvr_native_s10_htile_191"                                                       
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv\"  -work altera_xcvr_native_s10_htile_191"                                                      
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv\"  -work altera_xcvr_native_s10_htile_191"                                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv\"  -work altera_xcvr_native_s10_htile_191"                                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                            
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_kdlkwty.sv\"  -work altera_xcvr_native_s10_htile_191"         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_kdlkwty.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_nbibiti.v\"  -work altera_xcvr_pcie_hip_native_s10_191"           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v\"  -work altera_xcvr_native_s10_htile_191"                                                       
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv\"  -work altera_xcvr_native_s10_htile_191"                                                      
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv\"  -work altera_xcvr_native_s10_htile_191"                                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv\"  -work altera_xcvr_native_s10_htile_191"                                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                            
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_jd25rii.sv\"  -work altera_xcvr_native_s10_htile_191"         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_jd25rii.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_dsv5xwq.v\"  -work altera_xcvr_pcie_hip_native_s10_191"           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v\"  -work altera_xcvr_native_s10_htile_191"                                                       
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv\"  -work altera_xcvr_native_s10_htile_191"                                                      
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv\"  -work altera_xcvr_native_s10_htile_191"                                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv\"  -work altera_xcvr_native_s10_htile_191"                                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                            
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_7cnoiwa.sv\"  -work altera_xcvr_native_s10_htile_191"         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_7cnoiwa.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_hj23b3q.v\"  -work altera_xcvr_pcie_hip_native_s10_191"           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v\"  -work altera_xcvr_native_s10_htile_191"                                                       
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv\"  -work altera_xcvr_native_s10_htile_191"                                                      
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv\"  -work altera_xcvr_native_s10_htile_191"                                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv\"  -work altera_xcvr_native_s10_htile_191"                                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                            
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_66qmcdi.sv\"  -work altera_xcvr_native_s10_htile_191"         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_66qmcdi.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_p5e2hkq.v\"  -work altera_xcvr_pcie_hip_native_s10_191"           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v\"  -work altera_xcvr_native_s10_htile_191"                                                       
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv\"  -work altera_xcvr_native_s10_htile_191"                                                      
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv\"  -work altera_xcvr_native_s10_htile_191"                                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv\"  -work altera_xcvr_native_s10_htile_191"                                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                            
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_bbhiuva.sv\"  -work altera_xcvr_native_s10_htile_191"         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_bbhiuva.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_wiqxrza.v\"  -work altera_xcvr_pcie_hip_native_s10_191"           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v\"  -work altera_xcvr_native_s10_htile_191"                                                       
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv\"  -work altera_xcvr_native_s10_htile_191"                                                      
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv\"  -work altera_xcvr_native_s10_htile_191"                                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv\"  -work altera_xcvr_native_s10_htile_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv\"  -work altera_xcvr_native_s10_htile_191"                                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                            
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv\"  -work altera_xcvr_native_s10_htile_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v\"  -work altera_xcvr_native_s10_htile_191"                                                         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv\"  -work altera_xcvr_native_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_5iwjjhq.sv\"  -work altera_xcvr_native_s10_htile_191"         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_5iwjjhq.sv\"  -work altera_xcvr_native_s10_htile_191"                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_7bzsyay.v\"  -work altera_xcvr_pcie_hip_native_s10_191"           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_ckmyhei.sv\"  -work altera_xcvr_pcie_hip_native_s10_191"
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/alt_xcvr_native_dig_reset_seq.sv\"  -work altera_xcvr_pcie_hip_native_s10_191"                                      
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/alt_xcvr_resync_std.sv\"  -work altera_xcvr_pcie_hip_native_s10_191"                                                
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/phy_g3x16.v\"  -work avmm_bridge_512_191"                                                                                                     
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_191/sim/altera_std_synchronizer_nocut.v\"  -work altera_xcvr_fpll_s10_htile_191"                                                           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_191/sim/s10_avmm_h.sv\"  -work altera_xcvr_fpll_s10_htile_191"                                                                   
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv\"  -work altera_xcvr_fpll_s10_htile_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_191/sim/alt_xcvr_pll_rcfg_arb.sv\"  -work altera_xcvr_fpll_s10_htile_191"                                                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_191/sim/alt_xcvr_pll_embedded_debug.sv\"  -work altera_xcvr_fpll_s10_htile_191"                                                  
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_191/sim/alt_xcvr_pll_avmm_csr.sv\"  -work altera_xcvr_fpll_s10_htile_191"                                                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_191/sim/alt_xcvr_resync.sv\"  -work altera_xcvr_fpll_s10_htile_191"                                                              
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_191/sim/alt_xcvr_arbiter.sv\"  -work altera_xcvr_fpll_s10_htile_191"                                                             
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_fpll_s10_htile_191_waso37a.sv\"  -work altera_xcvr_fpll_s10_htile_191"               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_191/sim/alt_xcvr_pll_rcfg_opt_logic_waso37a.sv\"  -work altera_xcvr_fpll_s10_htile_191"                                          
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/fpll_g3.v\"  -work avmm_bridge_512_191"                                                                                                       
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_191/sim/altera_std_synchronizer_nocut.v\"  -work altera_xcvr_atx_pll_s10_htile_191"                                                     
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_191/sim/alt_xcvr_resync.sv\"  -work altera_xcvr_atx_pll_s10_htile_191"                                                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_191/sim/alt_xcvr_arbiter.sv\"  -work altera_xcvr_atx_pll_s10_htile_191"                                                       
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_191/sim/s10_avmm_h.sv\"  -work altera_xcvr_atx_pll_s10_htile_191"                                                             
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv\"  -work altera_xcvr_atx_pll_s10_htile_191"                                         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_191/sim/alt_xcvr_pll_rcfg_arb.sv\"  -work altera_xcvr_atx_pll_s10_htile_191"                                                  
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_191/sim/alt_xcvr_pll_embedded_debug.sv\"  -work altera_xcvr_atx_pll_s10_htile_191"                                            
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_191/sim/alt_xcvr_pll_avmm_csr.sv\"  -work altera_xcvr_atx_pll_s10_htile_191"                                                  
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_atx_pll_s10_htile_191_2nlct2y.sv\"  -work altera_xcvr_atx_pll_s10_htile_191"      
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_191/sim/alt_xcvr_pll_rcfg_opt_logic_2nlct2y.sv\"  -work altera_xcvr_atx_pll_s10_htile_191"                                    
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/lcpll_g3xn.v\"  -work avmm_bridge_512_191"                                                                                                    
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_iopll_191/sim/pcie_example_design_DUT_altera_iopll_191_sf3psui.vo\"  -work altera_iopll_191"                                                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../altera_iopll_191/sim/stratix10_altera_iopll.v\"  -work altera_iopll_191"                                                                                              
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_ep_g3x16_avst512_io_pll_s10.v\"  -work avmm_bridge_512_191"                                                                            
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/intel_pcie_s10_avmm_bridge_512.sv\"  -work avmm_bridge_512_191"                                                                     
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_rddm/intel_pcie_rddm.sv\"  -work avmm_bridge_512_191"                                                      
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_rddm/intel_pcie_rddm_desc_preproc.sv\"  -work avmm_bridge_512_191"                                         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_rddm/intel_pcie_rddm_desc_queue.sv\"  -work avmm_bridge_512_191"                                           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_rddm/intel_pcie_rddm_cpl.sv\"  -work avmm_bridge_512_191"                                                  
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_rddm/intel_pcie_rddm_header_gen.sv\"  -work avmm_bridge_512_191"                                           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_wrdm/intel_pcie_avmm_translator_512.sv\"  -work avmm_bridge_512_191"                                       
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_wrdm/intel_pcie_60bit_adder.sv\"  -work avmm_bridge_512_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_wrdm/intel_pcie_pipelined_57_6_adder.sv\"  -work avmm_bridge_512_191"                                      
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_wrdm/intel_pcie_write_data_mover_512.sv\"  -work avmm_bridge_512_191"                                      
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_wrdm/intel_pcie_wdm_input_stage_512.sv\"  -work avmm_bridge_512_191"                                       
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_wrdm/intel_pcie_wdm_destn_address_generator.sv\"  -work avmm_bridge_512_191"                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_wrdm/intel_pcie_shallow_fifo.sv\"  -work avmm_bridge_512_191"                                              
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_wrdm/intel_pcie_wdm_avmm_sm_512.sv\"  -work avmm_bridge_512_191"                                           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_wrdm/intel_pcie_wdm_packet_generator_512.sv\"  -work avmm_bridge_512_191"                                  
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_wrdm/intel_pcie_62bit_adder.sv\"  -work avmm_bridge_512_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_wrdm/intel_pcie_sclkfifo.sv\"  -work avmm_bridge_512_191"                                                  
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_wrdm/intel_pcie_wdm_data_aligner.sv\"  -work avmm_bridge_512_191"                                          
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_bas/intel_pcie_bas.sv\"  -work avmm_bridge_512_191"                                                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_bam/intel_pcie_bam.sv\"  -work avmm_bridge_512_191"                                                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_bam/intel_pcie_bam_avmm_intf.sv\"  -work avmm_bridge_512_191"                                              
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_bam/intel_pcie_bam_cpl.sv\"  -work avmm_bridge_512_191"                                                    
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_bam/intel_pcie_bam_fifos.sv\"  -work avmm_bridge_512_191"                                                  
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_bam/intel_pcie_bam_rw.sv\"  -work avmm_bridge_512_191"                                                     
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_bam/intel_pcie_bam_sch_intf.sv\"  -work avmm_bridge_512_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_cs/intel_pcie_cs.sv\"  -work avmm_bridge_512_191"                                                          
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/intel_pcie_schd.sv\"  -work avmm_bridge_512_191"                                                      
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/rx/intel_pcie_schd_rx.sv\"  -work avmm_bridge_512_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/rx/intel_pcie_schd_rx_cdt_handler.sv\"  -work avmm_bridge_512_191"                                    
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/rx/intel_pcie_schd_rx_ibuf.sv\"  -work avmm_bridge_512_191"                                           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/rx/intel_pcie_schd_rx_ibuf_rd_dns.sv\"  -work avmm_bridge_512_191"                                    
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/rx/intel_pcie_schd_rx_obuf_order_mngr.sv\"  -work avmm_bridge_512_191"                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/rx/intel_pcie_schd_rx_parser.sv\"  -work avmm_bridge_512_191"                                         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/rx/intel_pcie_schd_rx_bam_cdt_checker.sv\"  -work avmm_bridge_512_191"                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/rx/intel_pcie_schd_rx_delay.sv\"  -work avmm_bridge_512_191"                                          
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/rx/intel_pcie_schd_rx_ibuf_order_mngr.sv\"  -work avmm_bridge_512_191"                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/rx/intel_pcie_schd_rx_obuf.sv\"  -work avmm_bridge_512_191"                                           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/rx/intel_pcie_schd_rx_p_np_arb.sv\"  -work avmm_bridge_512_191"                                       
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/rx/intel_pcie_schd_rx_stream.sv\"  -work avmm_bridge_512_191"                                         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx.sv\"  -work avmm_bridge_512_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx_np_obuf.sv\"  -work avmm_bridge_512_191"                                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx_pc_ibuf.sv\"  -work avmm_bridge_512_191"                                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx_pc_order_mngr.sv\"  -work avmm_bridge_512_191"                                  
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx_pc_packer.sv\"  -work avmm_bridge_512_191"                                      
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx_cdt_checker.sv\"  -work avmm_bridge_512_191"                                    
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx_np_order_mngr.sv\"  -work avmm_bridge_512_191"                                  
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx_pc_np_arb.sv\"  -work avmm_bridge_512_191"                                      
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx_pc_order_mngr_rd.sv\"  -work avmm_bridge_512_191"                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx_seg_packer_4_to_2.sv\"  -work avmm_bridge_512_191"                              
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx_invalidator.sv\"  -work avmm_bridge_512_191"                                    
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx_np_packer.sv\"  -work avmm_bridge_512_191"                                      
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx_pc_obuf.sv\"  -work avmm_bridge_512_191"                                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx_pc_order_mngr_wr.sv\"  -work avmm_bridge_512_191"                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/common/intel_pcie_schd_order.sv\"  -work avmm_bridge_512_191"                                         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/common/intel_pcie_schd_piped_empty_calc.sv\"  -work avmm_bridge_512_191"                              
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/common/intel_pcie_schd_scfifo.sv\"  -work avmm_bridge_512_191"                                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_reordering/intel_pcie_order.sv\"  -work avmm_bridge_512_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_reordering/intel_pcie_order_buffer.sv\"  -work avmm_bridge_512_191"                                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_reordering/intel_pcie_order_read.sv\"  -work avmm_bridge_512_191"                                          
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_reordering/intel_pcie_order_rifo.sv\"  -work avmm_bridge_512_191"                                          
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_reordering/intel_pcie_order_write.sv\"  -work avmm_bridge_512_191"                                         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_completion/intel_pcie_completion_checker.sv\"  -work avmm_bridge_512_191"                                  
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_completion/intel_pcie_completion_timeout_detection.sv\"  -work avmm_bridge_512_191"                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_completion/intel_pcie_completion_timeout_detector.sv\"  -work avmm_bridge_512_191"                         
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_completion/intel_pcie_completion_missing_detection.sv\"  -work avmm_bridge_512_191"                        
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_completion/intel_pcie_completion_error_handling.sv\"  -work avmm_bridge_512_191"                           
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_completion/intel_pcie_config_extractor.sv\"  -work avmm_bridge_512_191"                                    
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/s10/intel_pcie_2x256s2e_adptr.sv\"  -work avmm_bridge_512_191"                                                             
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/s10/intel_pcie_2x256_adptr.sv\"  -work avmm_bridge_512_191"                                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/s10/intel_pcie_2x256e2s_adptr.sv\"  -work avmm_bridge_512_191"                                                             
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/s10/intel_pcie_2x256s2e_timing_adapter.sv\"  -work avmm_bridge_512_191"                                                    
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/s10/intel_pcie_s10_intrapkt_pack.sv\"  -work avmm_bridge_512_191"                                                          
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/s10/intel_pcie_s10_crete_whr_cdt_converter.sv\"  -work avmm_bridge_512_191"                                                
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_common/intel_pcie_lut_ram.sv\"  -work avmm_bridge_512_191"                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_common/intel_pcie_ram.sv\"  -work avmm_bridge_512_191"                                                     
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_common/intel_pcie_scfifo.sv\"  -work avmm_bridge_512_191"                                                  
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_common/intel_pcie_scfifo_32.sv\"  -work avmm_bridge_512_191"                                               
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_common/intel_pcie_set_clr_rd.sv\"  -work avmm_bridge_512_191"                                              
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/intel_pcie_avmm_bridge_512_dcore.sv\"  -work avmm_bridge_512_191"                                                          
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_hip_ast.v\"  -work avmm_bridge_512_191"                                                                                       
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_hip_ast_pipen1b.v\"  -work avmm_bridge_512_191"                                                                               
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_hip_ast_pllnphy.v\"  -work avmm_bridge_512_191"                                                                               
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_reset_delay_sync.v\"  -work avmm_bridge_512_191"                                                                              
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_sc_bitsync.v\"  -work avmm_bridge_512_191"                                                                                    
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_std_synchronizer_nocut.v\"  -work avmm_bridge_512_191"                                                                                 
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_gen3x16_adapter.sv\"  -work avmm_bridge_512_191"                                                                    
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_gen3x16_cfg_if.sv\"  -work avmm_bridge_512_191"                                                                     
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_gen3x16_credit_if.sv\"  -work avmm_bridge_512_191"                                                                  
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_gen3x16_err_if.sv\"  -work avmm_bridge_512_191"                                                                     
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_gen3x16_misc_if.sv\"  -work avmm_bridge_512_191"                                                                    
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_gen3x16_rx_st_if.sv\"  -work avmm_bridge_512_191"                                                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/alt_mlab.v\"  -work avmm_bridge_512_191"                                                                                                      
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/sync_bit.v\"  -work avmm_bridge_512_191"                                                                                                      
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/sync_pulse.v\"  -work avmm_bridge_512_191"                                                                                                    
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/sync_rst_n.v\"  -work avmm_bridge_512_191"                                                                                                    
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/sync_vec.v\"  -work avmm_bridge_512_191"                                                                                                      
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_gen3x16_dcfifo.sv\"  -work avmm_bridge_512_191"                                                                     
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_gen3x16_gpx3.sv\"  -work avmm_bridge_512_191"                                                                       
    lappend design_files "vlogan +v2k -sverilog $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_gen3x16_tx_st_if.sv\"  -work avmm_bridge_512_191"                                                                   
    lappend design_files "vlogan +v2k $USER_DEFINED_VERILOG_COMPILE_OPTIONS $USER_DEFINED_COMPILE_OPTIONS  \"$QSYS_SIMDIR/pcie_example_design_DUT.v\"  -work pcie_example_design_DUT"                                                                                                              
    return $design_files
  }
  
  proc get_elab_options {SIMULATOR_TOOL_BITNESS} {
    set ELAB_OPTIONS ""
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $ELAB_OPTIONS
  }
  
  
  proc get_sim_options {SIMULATOR_TOOL_BITNESS} {
    set SIM_OPTIONS ""
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $SIM_OPTIONS
  }
  
  
  proc get_env_variables {SIMULATOR_TOOL_BITNESS} {
    set ENV_VARIABLES [dict create]
    set LD_LIBRARY_PATH [dict create]
    dict set ENV_VARIABLES "LD_LIBRARY_PATH" $LD_LIBRARY_PATH
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $ENV_VARIABLES
  }
  
  
}
